<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl = 'Стенка на стенку';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

$id = abs(intval($_GET['id']));

$k = mysql_fetch_assoc(mysql_query("SELECT * FROM `boy_game` WHERE `id` = '$id'"));

/// Проверяем чтобы не мутили
$countu = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `end` = '0'"));
$cug = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `user` = '$udata[id]'"));
if(empty($k['id'])){
header("Location: boylist.php");exit;
}// Если юзера еще нет в комнате
if($cug < 1){
if($k['type'] == 'start'){
mysql_query("INSERT INTO `boy_users` SET `user` = '$udata[id]', `game` = '$id'");
$text = 'В бой вступил <b>'.$udata['usr'].'</b>!';
mysql_query("INSERT INTO `boy_list` SET `game` = '$k[id]', `text` = '$text'");
}else{
/// Если игра уже началась то кидаем в список комнат
header("Location: boylist.php");exit;
}}

$l = mysql_query("SELECT * FROM `boy_list` WHERE `game` = '$k[id]' ORDER BY `id` DESC LIMIT 5");
while($a = mysql_fetch_assoc($l)){
echo "<div class='block_zero'>
- $a[text]<br/>
</div>";
}

switch($k['type']){
case 'start':
//Собственно сколько осталось до начала игры (Не стал на минуты бить)
$tim = $k['time']-time();
echo "<meta http-equiv='Refresh' content='3' />
<script type='text/javascript'>
function timer(){
var obj=document.getElementById('timer_inp');
obj.innerHTML--;  
if(obj.innerHTML==0){
location.href = 'grupboy.php?type=start&id=$k[id]';
setTimeout(function(){},1000);
obj.innerHTML='Игра началась, если вы не перенаправились, обновите страницу.'
}else{
setTimeout(timer,1000);
}
}
setTimeout(timer,1000);
</script>
До начала игры осталось: <span id='timer_inp'>$tim</span> сек.";
/// Проверяем пора ли начинать игру и достаточно ли человек в игре (минимум 2)
if($k['time'] < time()){
if($countu < 2){
mysql_query("DELETE FROM `boy_users` WHERE `game` = '$k[id]'");
mysql_query("DELETE FROM `boy_list` WHERE `game` = '$k[id]'");
mysql_query("DELETE FROM `boy_game` WHERE `id` = '$k[id]'");
header("Location: boylist.php?nousers");
exit;
}else{
if($k['type'] == 'start'){
mysql_query("UPDATE `boy_game` SET `type`='game' WHERE `id` = '$k[id]'");
$sq = mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]'");
$kom = 1;
while($a = mysql_fetch_assoc($sq)){
mysql_query("UPDATE `boy_users` SET `kom`='$kom' WHERE `id` = '$a[id]'");
$kom = ($kom == 1) ? '2' : '1';
}}
header("Location: grupboy.php?type=game&id=$k[id]");
}}
/////////////////////////////////
$us = mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]'");
while($a = mysql_fetch_assoc($us)){
$s = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>
<img src='/image/icon/user.png' alt=''/> $s[usr]
<br>
<img src='/image/icon/str.png' alt='str'/> Сила: $s[sila]
<br>
<img src='/image/icon/health.png' alt='vit'/> Здоровье: ".(INT)$s['hp']."
<br>
<img src='/image/icon/agi.png' alt='agi'/> Ловкость: $s[lovk]
<br>
<img src='/image/icon/def.png' alt='def'/> Защита: $s[prot]
</div>";
}
echo"<div class='line'></div>";
break;

case 'game':
$u = mysql_fetch_assoc(mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]' AND `user` = '$udata[id]'"));
$cb = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '1' AND `dead` = '0'"));
$cr = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '2' AND `dead` = '0'"));
$kom = ($u['kom'] == 1) ? '2' : '1';
$nkom = ($u['kom'] == 1) ? 'Синие' : 'Красные';
if($u['dead'] == 1){
echo "<div class='block_zero'>Вы выбыли из игры, но не все потеряно, остались игроки с вашей команды! Страница будет обновляться автоматически каждые 3 секунды)</div>";
}

echo "<meta http-equiv='Refresh' content='3' />
<div class='block_zero'>Ваша команда $nkom<br/>
<span style='color: blue;'>Синих: $cb</span> | <span style='color: red;'>Красных: $cr</span>
</div>";
// Теперь вычисляем кто мертв и пора-ли закончить игру
if($cb == 0){
mysql_query("UPDATE `boy_game` SET `win` = 'Красные', `type`='end' WHERE `id` = '$k[id]'");
header("Location: grupboy.php?type=end&id=$k[id]");
exit;
}
if($cr == 0){
mysql_query("UPDATE `boy_game` SET `win` = 'Синие', `type`='end' WHERE `id` = '$k[id]'");
header("Location: grupboy.php?type=end&id=$k[id]");
exit;
}
////////
if($u['dead'] == 0){
///// Если бьют
if(isset($_GET['udar'])){
$udar = abs(intval($_GET['udar']));
$ukl = rand(0,5);
$u_to = mysql_fetch_assoc(mysql_query("SELECT `usr`,`id` FROM `users` WHERE `id` = '$udar'"));
if(!empty($u_to['id'])){
if($ukl == 1 or $ukl == 2 or $ukl == 3 or $ukl == 4){
$uron = rand(10,$udata['sila']);
mysql_query("UPDATE `users` SET `hp` = `hp` - $uron WHERE `id` = '$udar'");
$to = mysql_fetch_assoc(mysql_query("SELECT `id`,`hp`,`usr` FROM `users` WHERE `id` = '$udar'"));
if($to['hp'] < 1){
mysql_query("UPDATE `boy_users` SET `dead` = '1' WHERE `user` = '$to[id]'");
$text = '<b>'.$to['usr'].'</b> потерпел поражение от <b>'.$udata['usr'].'</b>';
}else{
$text = '<b>'.$udata['usr'].'</b> атаковал <b>'.$to['usr'].'</b> и нанес ему <b>'.$uron.'</b> урона';
}
}else{
$text = '<b>'.$udata['usr'].'</b> атаковал <b>'.$u_to['usr'].'</b> но противник смог уклониться';
}
mysql_query("INSERT INTO `boy_list` SET `game` = '$k[id]', `text` = '$text'");
header("Location: grupboy.php?type=game&id=$k[id]");
exit;
}}
////////
$sql = mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$kom' AND `dead` = '0'");
while($a = mysql_fetch_assoc($sql)){
$s = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>
<img src='/image/icon/user.png' alt=''/> $s[usr]
<br>
<img src='/image/icon/str.png' alt='str'/> Сила: $s[sila]
<br>
<img src='/image/icon/health.png' alt='vit'/> Здоровье: ".(INT)$s['hp']."
<br>
<img src='/image/icon/agi.png' alt='agi'/> Ловкость: $s[lovk]
<br>
<img src='/image/icon/def.png' alt='def'/> Защита: $s[prot]
</div>";
echo "<div class='block_zero'>
<a href='grupboy.php?udar=$a[user]&id=$k[id]'> Атаковать противника</a><br/>
</div>";
}
}
break;

case 'end':
$wine = rand(50,200);
$losee = rand(10,50);
$wins = rand(100,200);
$loses = rand(50,100);
////
$kom = ($k['win'] == 'Красные') ? '2' : '1';
$colorwin = ($k['win'] == 'Красные') ? '<span style="color: red;">Красные</span>' : '<span style="color: blue;">Синие</span>';
$koml = ($kom == 1) ? '2' : '1';
// Раздаем подарки
$sql1 = mysql_query("SELECT `user` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$kom' AND `end` = '0'");
while($a = mysql_fetch_assoc($sql1)){
mysql_query("UPDATE `boy_users` SET `end` = '1' WHERE `user` = '$a[user]'");
mysql_query("UPDATE `users` SET `exp` = `exp` + $wine, `money` = `money` + $wins WHERE `id` = '$a[user]'");
}
$sql2 = mysql_query("SELECT `user` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$koml' AND `end` = '0'");
while($a = mysql_fetch_assoc($sql2)){
mysql_query("UPDATE `boy_users` SET `end` = '1' WHERE `user` = '$a[user]'");
mysql_query("UPDATE `users` SET `exp` = `exp` + $losee, `money` = `money` + $loses WHERE `id` = '$a[user]'");
}
////
$_SESSION['win'] = $k['win'];
$_SESSION['wine'] = $wine;
$_SESSION['wines'] = $wins;
$_SESSION['losee'] = $losee;
$_SESSION['loses'] = $loses;
echo "<div class='block_zero'><center>
<big>Бой окончен</big><br/>
Победу одержали: $colorwin
</center></div>
<div class='block_zero'>
Победитель получают по <b>$wine</b> опыта и <b>$wins</b> серебра<br/>
Проигравшие получают по <b>$losee</b> опыта и <b>$loses</b> серебра
</div>";


echo'<a href="boylist.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Завершить бой"></span></span></a>';

mysql_query("DELETE FROM `boy_users` WHERE `user` = '$udata[id]'");
break;

}

//include($path.'files/down.php');
?>